package Praktikum03;

public class Fork {
    private boolean  inUse = false;
    private final int id;

    public Fork(int id){
        this.id = id;
    }
    public int getId(){
        return id;
    }
    public boolean isInUse(){
        return inUse;
    }

    public synchronized boolean take()  {
        if(inUse){
            return false;
        }else {
            inUse = true;
            try {
                Thread.sleep(1000);
            } catch (InterruptedException e) {
                System.out.println("Fehler");
            }
            return true;
        }
    }
    public synchronized void put(){
        inUse = false;
    }
}
